﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using System.Drawing;

namespace WebApplication
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void LinkButton1_Click(object sender, EventArgs e)
        {
            //Create a PDF document
            PdfDocument doc = new PdfDocument();

            //set the page mode
            doc.ViewerPreferences.PageMode = PdfPageMode.FullScreen;

            //Load the bitmap
            PdfBitmap image = new PdfBitmap(Server.MapPath("/App_Data/Autumn Leaves.jpg"));

            RectangleF rect = new RectangleF(0, 0, image.Width, image.Height);

            //Create PDF unit converter
            PdfUnitConvertor converter = new PdfUnitConvertor();

            //Covert pixel to point
            float width = converter.ConvertFromPixels(image.Width, PdfGraphicsUnit.Point);
            float height = converter.ConvertFromPixels(image.Height, PdfGraphicsUnit.Point);

            //Add a section
            PdfSection section = doc.Sections.Add();

            //Set margin
            section.PageSettings.SetMargins(0);

            //Page Size
            section.PageSettings.Width = width;
            section.PageSettings.Height = height;

            //Add new page
            PdfPage page = section.Pages.Add();

            PdfGraphics g = page.Graphics;
            PdfLayoutFormat format = new PdfLayoutFormat();
            format.Layout = PdfLayoutType.Paginate;

            //Draw the image to page
            image.Draw(page, rect, format);

            //Save the document
            doc.Save("Sample.pdf", Response, HttpReadType.Open);

            //Close the document
            doc.Close(true);
        }
    }
}
